Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 704766 - dev-lua/lgi-0.9.2: stabilisation then cleanup
Summary: dev-lua/lgi-0.9.2: stabilisation then cleanup
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-01-04 13:51 UTC by Aritz Erkiaga
Modified: 2020-09-19 16:40 UTC (History)
2 users (show)

See Also:
Package list:
=dev-lua/lgi-0.9.2
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aritz Erkiaga 2020-01-04 13:51:18 UTC
Here's the code in Awesome that detects EOF in a spawned command's standard output: https://github.com/awesomeWM/awesome/blob/master/lib/awful/spawn.lua#L238-L275.

The problem is that older versions of LGI have a bug where they can't tell apart a blank line and EOF, so if one spawns a command, Awesome will stop listening the moment it gets a blank line. Commands like emerge throw a lot of blank lines, and they require manually adding workarounds like piping through awk. Obviously, it probably affects other software too.

This is the bug: https://github.com/pavouk/lgi/issues/125. It was fixed in LGI 0.9.1, via this commit: https://github.com/pavouk/lgi/commit/85b5dae240d29475ea1de61185c54fcb6dabeb07.

I suggest marking dev-lua/lgi-0.9.2 as stable, or at the very least backporting a patch to fix the issue.
Comment 1 Sam James archtester gentoo-dev Security 2020-06-07 22:33:35 UTC
@maintainer, please add keyword CC-ARCHES if you agree
Comment 2 Sam James archtester gentoo-dev Security 2020-07-30 02:23:11 UTC
ping
Comment 3 Sergei Trofimovich gentoo-dev 2020-08-02 20:46:57 UTC
ppc stable
Comment 4 Sam James archtester gentoo-dev Security 2020-08-04 15:15:58 UTC
arm stable
Comment 5 Agostino Sarubbo gentoo-dev 2020-08-05 13:58:47 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-08-05 14:23:37 UTC
x86 stable
Comment 7 ernsteiswuerfel 2020-09-08 13:43:24 UTC
Looking good on ppc64.

Fails less tests compared to previous stable (bug #679862).

 # cat lgi-704766.report 
USE tests started on Di 8. Sep 15:10:53 CEST 2020

 FEATURES=' test' failed for =dev-lua/lgi-0.9.2
USE='-examples' succeeded for =dev-lua/lgi-0.9.2
USE='examples' succeeded for =dev-lua/lgi-0.9.2

revdep tests started on Di 8. Sep 15:29:13 CEST 2020

FEATURES=' test' USE='' succeeded for x11-wm/awesome
Comment 8 Sam James archtester gentoo-dev Security 2020-09-13 21:03:57 UTC
ppc64 done

all arches done
Comment 9 Sam James archtester gentoo-dev Security 2020-09-13 21:04:17 UTC
~Re(In reply to ernsteiswuerfel from comment #7)
> Looking good on ppc64.
> 
> Fails less tests compared to previous stable (bug #679862).
> 
>  # cat lgi-704766.report 
> USE tests started on Di 8. Sep 15:10:53 CEST 2020
> 
>  FEATURES=' test' failed for =dev-lua/lgi-0.9.2
> USE='-examples' succeeded for =dev-lua/lgi-0.9.2
> USE='examples' succeeded for =dev-lua/lgi-0.9.2
> 
> revdep tests started on Di 8. Sep 15:29:13 CEST 2020
> 
> FEATURES=' test' USE='' succeeded for x11-wm/awesome

Thank you!

ppc64 stable. Waiting for cleanup.
Comment 10 Larry the Git Cow gentoo-dev 2020-09-19 16:40:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=317c751501b149576272010d6efbab174953f07d

commit 317c751501b149576272010d6efbab174953f07d
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2020-09-19 16:38:21 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-09-19 16:40:11 +0000

    dev-lua/lgi: drop old EAPI=4 and unstable ebuild
    
    Closes: https://bugs.gentoo.org/704766
    Closes: https://bugs.gentoo.org/679862
    Closes: https://bugs.gentoo.org/628022
    Closes: https://bugs.gentoo.org/662790
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 dev-lua/lgi/Manifest            |  1 -
 dev-lua/lgi/lgi-0.9.0-r1.ebuild | 57 -----------------------------------------
 dev-lua/lgi/lgi-0.9.0.ebuild    | 54 --------------------------------------
 3 files changed, 112 deletions(-)